package com.bonus.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("acc_trade")
public class AccTrade implements Serializable {
   @TableId
   private Long id;
   private LocalDateTime tradeTime;
   private Long custId;
   private Long orgId;
   private Integer psnType;
   private Integer tradeType;
   private BigDecimal actualAmount;
   private BigDecimal amount;
   private BigDecimal walletBalTotal;
   private BigDecimal accAllBal;
   private Integer payChannel;
   private Integer payType;
   private Integer payState;
   private Integer tradeState;
   private String thirdTradeNo;
   private String machineSn;
   private String batchNum;
   private Long leOrdNo;
   private Long originTradeId;
   private Long subTimeRuleId;
   private BigDecimal manageCost;
   private String crby;
   private LocalDateTime crtime;
   private String upby;
   private LocalDateTime uptime;
   private String remark;
   private Integer withdrawSource;
   private Integer rechargeSource;
   private Long canteenId;
   private Integer machineType;
   private String failReason;
   private Integer rechargeOperate;
   private Integer operateSource;
   private Long batchImportId;
   @TableField(
      exist = false
   )
   private static final long serialVersionUID = 1L;

   public Long getId() {
      return this.id;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public BigDecimal getActualAmount() {
      return this.actualAmount;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getWalletBalTotal() {
      return this.walletBalTotal;
   }

   public BigDecimal getAccAllBal() {
      return this.accAllBal;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getTradeState() {
      return this.tradeState;
   }

   public String getThirdTradeNo() {
      return this.thirdTradeNo;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getBatchNum() {
      return this.batchNum;
   }

   public Long getLeOrdNo() {
      return this.leOrdNo;
   }

   public Long getOriginTradeId() {
      return this.originTradeId;
   }

   public Long getSubTimeRuleId() {
      return this.subTimeRuleId;
   }

   public BigDecimal getManageCost() {
      return this.manageCost;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getWithdrawSource() {
      return this.withdrawSource;
   }

   public Integer getRechargeSource() {
      return this.rechargeSource;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Integer getMachineType() {
      return this.machineType;
   }

   public String getFailReason() {
      return this.failReason;
   }

   public Integer getRechargeOperate() {
      return this.rechargeOperate;
   }

   public Integer getOperateSource() {
      return this.operateSource;
   }

   public Long getBatchImportId() {
      return this.batchImportId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setActualAmount(final BigDecimal actualAmount) {
      this.actualAmount = actualAmount;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setWalletBalTotal(final BigDecimal walletBalTotal) {
      this.walletBalTotal = walletBalTotal;
   }

   public void setAccAllBal(final BigDecimal accAllBal) {
      this.accAllBal = accAllBal;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setTradeState(final Integer tradeState) {
      this.tradeState = tradeState;
   }

   public void setThirdTradeNo(final String thirdTradeNo) {
      this.thirdTradeNo = thirdTradeNo;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setBatchNum(final String batchNum) {
      this.batchNum = batchNum;
   }

   public void setLeOrdNo(final Long leOrdNo) {
      this.leOrdNo = leOrdNo;
   }

   public void setOriginTradeId(final Long originTradeId) {
      this.originTradeId = originTradeId;
   }

   public void setSubTimeRuleId(final Long subTimeRuleId) {
      this.subTimeRuleId = subTimeRuleId;
   }

   public void setManageCost(final BigDecimal manageCost) {
      this.manageCost = manageCost;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setWithdrawSource(final Integer withdrawSource) {
      this.withdrawSource = withdrawSource;
   }

   public void setRechargeSource(final Integer rechargeSource) {
      this.rechargeSource = rechargeSource;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setMachineType(final Integer machineType) {
      this.machineType = machineType;
   }

   public void setFailReason(final String failReason) {
      this.failReason = failReason;
   }

   public void setRechargeOperate(final Integer rechargeOperate) {
      this.rechargeOperate = rechargeOperate;
   }

   public void setOperateSource(final Integer operateSource) {
      this.operateSource = operateSource;
   }

   public void setBatchImportId(final Long batchImportId) {
      this.batchImportId = batchImportId;
   }
}
